Current Release is Proko2 2.1.8

Bugfixes
=========

Kontact
--------
* Kolab/issue1672 Kontact crashes when saving a mail twice.

KMail
---------
* Kolab/issue1715 Other disconnected Imap folders good as sources for client filters.
* Kolab/issue1858  Filters applying to new emails in groupware folders, changing filter behaviour

Misc
---------
* Kolab/issue1657 Some ldap entries lead to extra commas in completion.
* Kolab/issue1706 (addressbook: real adress type is broken) - introducing bugs in the GUI due to outlook compatibility,
* Kolab/issue1363 (Phone number types display quirks) part a: Select phone types that are set, rather than the defaults.

Changes since Proko2 2.1.6 up to Proko2 2.1.7 (released 8.5.2007)

Features
=========

kmail
---------

* kolab/issue 1533 - minor change in action text.
* kolab/issue 1658 - Adding a warning for empty To : field.
* kolab/issue 1530 - make preferred form of forwarding configurable.
* Kolab/issue 1640 - kiosk-like setting for admins to prevent a too small imap mailcheck interval.
* Kolab/issue 1583 Backport KMMsgBase::extractRFC2231HeaderField() required for the .

Aegypten
-------------
* aegypten/issue 370 - Add scrollbar so that the dialog doesn't become too big when gpgconf gives us many options to configure.
* aegypten/issue 734 - Revert the commit which introduced aegypten issue 734
* aegypten/issue 735 - Support for the NO_CHANGE flag from gpgconf 2.0.3 (readonly widgets)

Misc
-------
* Fix crash in cachedimap mailcheck after modifying a cachedimap account
* Fix order of libs so that kdepim proko2 (in its own prefix) can be used in parallel with another version of kdepim in /usr
* prokde W1-16: when exporting a secret key to a .p12 file, allow the user to select the encoding (charset) of the passphrase in the p12 file. This is only available if gpgsm is >= 2.0.4 (newer than even kubuntu feisty).


Changes since Proko2 2.1.5 up to Proko2 2.1.6 (released 2.2.2007)
Features:
=========

kmail
----------

* Issue 1506 Add Kiosk option for mimetypes that are stripped from inlined
forwarded mails. Useful for stripping out Toltec or Outlook tnef blobs, for example.

korganizer
----------

* Issue 1278 Tooltip information and alarm on recurring events.

Bugfixes:
=========

general
----------

* Issue 1442 Reverted to "mailto" instead of "MAILTO" everywhere.
* Issue 1537 Update Copyright years

kmail
----------

* Issue 1367 Made ".mbox" as a default extension/filter while saving messages.
* Issue 1467 Documentation: Improve formatting of configuration options
* Issue 1216 Documentation: Improve documentation of the AllowSemicolonAsAddressSeparator option
* Issue 1384 Do not base64 encode forwarded messages (violates the RFC)
* Issue 1385 Enable/Disable actions based on signature absence/presence for an identity
* Issue 1562 Do not quote RFC2231-encoded filenames of attachments

korganizer
----------

* Issue 1456 Korganizer crashing when "select resource folder" was cancelled.

certmanager
----------

* Aegypten issue718: "In the key creation dialog of Kleoptra, the selection
box for the key length should be reduced by all entry below 2048 bits.
Currently, anything below 1900 is regarded as too insecure."

mimelib
----------

* Aegypten Issue 661 Don't add a spurious newline when calling Assemble() on a message that has
no headers, as happens when it is a forwarded attachment, for example.



Changes since Proko2 2.1.4 up to Proko2 2.1.5 (released 2.11.2006)

Features:
=========

korganizer
----------

* Issue 1278 Tooltip information and alarm on recurring events.


kmail
----------

* Issue 1385 Add signature at top of reply and insert at cursor position

* Issue 1449 Kiosk option (non-gui) for vacation: react-to-spam and maildomain.

* Issue 1406 Backport new dead letter handling from 3.5 which uses maildir instead
of mbox and does the shutdown handling a bit more smoothly.


libkdepim
---------

* Issue 539 Adding LDAP results to address selection dialog.

* Issue 892 Button to send email to the selected addresses in LDAP search.

* Issue 1216 Make completion work with semicolon (;) as the separator.


Bugfixes:
=========

kmail
-----

* Issue1344 Kontact crashes after closing "folder properties" dialog after renaming/moving a folder.

* Issue 1384 Make sure attached emails are never encoded in anything but 7 or 8 bit.


korganizer
----------

* Issue 1288 Printing appointment correctly.

* Issue 1442 Kontact invitation for attendees contains "mailto", should be "MAILTO"?


libkdepim
---------

* Issue1308 Kontact: Address completion does not always work


libkpimidentities
-----------------

* Issue 1436 Kontact generates invitation with unquoted attendee name, bad for commas and umlauts

* Issue 1441 Kontact sends invitations missing last name of Organizer when comma in identity




Changes since Proko2 2.1.3 up to Proko2 2.1.4 (released 21.08.2006)

* Make sure SEEN flags from the server are properly merged.
  (Issue 1299)


Changes since Proko2 2.1.2 up to Proko2 2.1.3 (released 14.08.2006)

Features:
=========

* New minimal header style and strategy to be used for printing,
which shows only the recipient, if it's a known identity, or
the To header in a compact format. Various printing related
backports. (Issue 1301, 1302, 1204, 1277)

* Open and Open with for attachments in the composer. (Issue 1085)

* Kontact Filter: Backport of copy mail into folder. (Issue 1149)

* Backport from 3.5 - "More columns in mail listing window" (Issue 1225)

korganizer
----------

* Task colouring based on subresource colour. (Issue 1270)

kresources
----------

* Implement unloadSubresource, which makes it possible to reload individual
folders and experimentally rely on the recently added uid mappings for
state keeping. This should, if it works as reliably as it seems to, solve
major problems with expensive resource reloads. (Issue 1118)


Bugfixes:
=========

kmail
------

* Parse kolab xml in KMail to find internal uid if present
and use it already at the stage of dcop signal emission to
avoid errorneous conflict resolution.  (Issue 1298)

* Don't crash when a message is deleted from under the current online
imap folder (Issue 1325)

* Use the folder's name, not the storage's name, when creating
the target folder in folder copy jobs. (Issue 1279)

* Fix printing from MainWindow. (Issue 1204)

* Fixing the Date formatting as Fancy format type was messing
up the German grammar and capitalisation. Changed formatting
to Localized. (Issue 1227)

* Don't try to chmod when saving attachments. (Issue 856)

* Translate dates in MDN mails. (Issue 1277)

* Make sure that flags changes from the server are merged both ways, flag
removal and flag setting. (Issue 1299)

* Add missing Icon for File->Work Offline in Kontact/KMail (Issue 1300)


libkcal
------

* Don't load on writeConfig, since that happens on shutdown, and it
makes little sense. (Issue 1343)




Changes since Proko2 2.1.1 up to Proko2 2.1.2 (released 26.06.2006)

Bugfixes
========
* Quota informations does not hang anymore for online imap when no
  quota is set (kolab/issue1248)

* Ressources colors doesn't disappear when deleting an event form
  calendar (kolab/issue1129)

* Don't allow shift-tab to select header separators.
  (kolab/issue740)

* Overwrite mode on mail composing now works (kolab/issue1182)

* Printer view config now takes effect without restarting
  (kolab/issue1204)

* Creation of subfolders when using online imap is now possible
  (kolab/issue1258)

* Only warn about events which can't be found on cancel
  if it's not an initial decline. (kolab/issue1248)

* Groupwarefolders (with standard name) are now unsubscribed for
  online imap after setup with kolabwizard (kolab/issue1260)

* Subject of MDNs is now translated. (kolab/issue1277)

* Enable automatic expunge when a folder is left for the online
  IMAP account. (kolab/issue1207)

* Errors during target folder creation in folder copy operations
  are now handled without crashing. (kolab/issue1279)



Features
========
* Show quota information in the folder tooltip. Even works for
  online imap (kolab/issue1215)

* Show detailed information about recurring events in invitation
  mails (kolab/issue1226)

* Allow ";" as additional address seperator (kolab/issue1216)

* For full mailchecks (more than one folder) do a full folder listing
  (modulo list-only-open-folders config option) so we detect new shared
  folders without the need for an explicit listing by the user.
  (kolab/issue1250)



Changes since Proko2 2.1.0 up to Proko2 2.1.1 (released 20060518)

Bugfixes:

o Change the default for hiding groupware folders back to true.
  (kolab/issue1206)

o Automatically unsubscribe the default folders and turn on local subscription
  for the online imap account in the kolab wizard. (kolab/issue1206)

o Don't list messages in the INBOX if it is the one of the groupware
  main account and we are in "only groupware folders for this account"
  mode. (kolab/issue1207)

o If we are hiding groupware folders, and the account is the groupware
  base account, and it's set to only locally subscribe to groupware folders,
  hide it completely from the folder tree. (kolab/issue1207)

o Don't reload the KConfig object of the standard addressbook for every
  incidence during loading, by caching the "thatIsMe" entry. This should
  speed up calendar loading significantly, but it means that if they user
  changes their "thatIsMe" entry in the addressbook, KOrganizer won't
  realize that until the next restart. Given the spectacularly low frequency
  with which that is expected to happen, I think that's worth it. I can't
  fix it at the root, since that is in kdelibs.  (kolab/issue1118)

o Also trigger a reload of the folder when a new IncidencesFor annotation
  is retrieved from the server. (kolab/issue398)

o Fix of the concurrent KPilot and KMail dImap sync problem. Concurrent sync
  is now blocked. Problem was that on a concurrent sync contacts/tasks/events
  were duplicated in the dImap folders (kolab/issue1136, kolab/issue1137)

o Don't attempt to rename the inbox. Especially not to INBOX.
  (kolab/issue1185)

o Only prepend the indent string in Weighted address completion mode, only
  show headers in Weighted mode. (kolab/issue740)

o Handle encoded headers differently, so that replying to Froms
  with a real name containing an encoded comma (',') will work.
  (kolab/issue1228)


Features:

o Non-gui config key that allows to specify after how many
  incidences a progress dialog comes up. (kolab/issue1118)

o Backport large parts of the online/offline support from 3.5, which makes
  it possible to suspend and resume all network jobs via DCOP. KPilot will
  use this to disable network traffic during a kolab resource sync, for example,
  but the user can also use it to go offline on the road, and thus avoid error
  messages due to interval mail checks. (kolab/issue1137).

o Backport resource colors from KDE 3.5 branch. (kolab/issue1129)


Release notes for the Kolab 2 KDE Client 2.1.0 (released 2006-04-07)
==============================================

Known issues:

* Kontact may be slow when there are many items in the calendar
  (Kolab/issue1118)

* The kolabwizard has some problems.  Among others, the resource folders
  are not hidden by default anymore.  (kolab/issue1206).

* Kpilot may duplicate some calendar or other items when a pilot sync
  happens at the same time as a kolab sync.  (kolab/issue1136)


Changes since 2.0.6:

Features:
---------

* Improved LDAP resource. including read/write support.
  (Backport from 3.5 branch)

* Support for displaying QUOTA information in the IMAP kioslave and KMail,
  for both disconnected and online IMAP. Persisted across restarts.
  (kolab/issue1080).

* When, during a sync, while looking for new messages to upload, we
  encounter a message that looks like a ghost messages (no subject, no
  from, no to) we first invalidate the index of that folder and then
  check if the ghosts are still there. If so, offer to the user to delete
  those mails and reset the sync for this folder. Only ask once per
  session, to not be annoying. (kolab/issue918)

* Support for adding and removing subresources (folders in KMail) from
  within the resource view in KOrganizer and KAddressbook. As a side effect,
  support for adding and removing subresources from scripts, via DCOP.
  (kolab/issue849)

* Implement client side subscription for online IMAP and disconnected IMAP
  accounts. This basically stores a blacklist of unsubscribed folders
  (since we want new folders to show up, intially) per account, which is
  persisted to kconfig. This list is used as a filter during folder
  listing. (kolab/issue1095)

* Auto-unsubscribing of folders by groupware folder type. This
  allows to only see groupware folders in the account that is set up to
  contain them, while using a separate (online) IMAP account for mail
  folders. (kolab/issue1095)

* Add an option to the wizard to create an online account for the
  non-groupware folders along with a cached IMAP one which is set to only
  show groupware folders. (kolab/issue1095)


Bugfixes:
---------

* Make sure the translation catalogue is loaded, by making sure we
  pass our correct name to the Kontact::Plugin base class.
  (kolab/issue1087)

* Make sure that latin1 is selected as a default if we find no matching
  locale for the fallback codec, and replace "iso " with "iso-" so we have
  a better chance of finding the locale.

* Finally solve Kolab issue 437 by making sure all defaults lists match.

* Trying to autodetect the codec for vcards is a bad idea, so backport
  what we do in newer versions for a while now, rely on them being utf8.
  (Kolab/Issue1115)

* Make the imported ldap slave work with the newimap protocol (to avoid
  clashes with the one in kdebase <= 3.2 and hook it in.

* Import the ldap library stuff from kdelibs 3.5, since we need to support
  kdelibs 3.2 which doesn't have it.

* Conditionally use the stuff in libpimldaptools and the copied slave, if
  we are compiling against kdelibs 3.2

* (kio_imap4) Quote mailbox name in case it contains spaces.

* Fix replying or printing encapsulated messaages from a main reader
  window. (Proko2 issue993)

* Don't circumvent the scheduler when handling cancel messages, because
  otherwise proper schedulingID conversion does not happen.
  (kolab/issue1109)

* Don't attempt to fake the schedulingID in temporary scheduling messages,
  rather rely on the detection of existing incidences which works ok, if
  the calling code actually uses it, which it didn't, see previous commit.
  (kolab/issue1109 second half)

* Display "this event/task has been updated" instead of "this is an
  invitation" if the sequence number of the ical object is non-zero.
  (kolab/issue1109 part 3)

* Fix wrong foreground color being used when "use default colors" is checked.

* In case an update or cancel message is processed for an incidence that
  cannot be found, inform the user, instead of blindly adding a new
  version of the incidence. (kolab/issue1128)

* Use the prettyURL, not the label for error messages and don't
  try to delete mail in readonly folders.

* If a folder is readonly and we detect a ghost message, try the index
  regeneration part once, then put the folder in the set of those to not
  check again, for this session, so we don't try to remove messages.

* Make sure folders are created locally if there are no annotations at
  all set (such as for no-content folders). Create all of them if the
  server doesn't support annotations at all, to be safe. Fixes problems
  with irregular folder listings on some servers.

* Change the default for hiding the groupware folders to false.

* Also check for an empty subject when trying to find ghost messages.

* Change the buttons to "Store" and "Throw away" as requested.

* Make the saving of encrypted messages as unencrypted work again.

* Cache the utf8 textcodec, because codecForName turns out to be a
  performance bottleneck, and it's called in a tight loop for each loaded
  incidence. Further step towards fixing issue1118.

* Fix the spurious extra characters at the end of inline invitations.
  (kolab/issue1118)

* Be sure to reload the addressbook, when we've added a contact.
  A bit crude, but that's what 3.5 does. (kolab/issue1084).

* The distribution list code assumes there are no , and ; in the
  uid. Make sure of that, at least internally, otherwise display names
  like "Foo, Bar" break.  (kolab/issue1152)

* Make sure we don't insert ; or , as identifiers in a distlist.
  (kolab/issue1152)

* Adjust visual defaults in the certificate manager according to
  Aegypten issue322.

* Fix potential crash after resetting a sync.

* Fix for kpilot sync conflict warning even when nothing changed in kontact.
  (kolab/issue1097)

* Fix for: kpilot sometimes removes first occurrence of a recurring event.
  (kolab/issue1135)

* Fix for: kpilot doesn't sync location field of events. (kolab/issue1134)
  The location field in Kontact will be synct to notes text on the palm now.
  It will appear between star ('*') characters, so kpilot can recognise it,
  e.g. like "*Georgstrasse 4*". This workaround is necessary because
  there is no official location field in all palm devices.

* Fix for: Contacts from Palm don's show properly in KAddressBook
  (kolab/issue1156)

* Fix for: Kontact produces corrupted event mails that OL cannot understand
  This failure is a regression, we do not know precisly when it was introduced.
  (kolab/issue1175)


Documentation:
--------------

* Add a section for non-gui options and explain SendMDNsWithoutSender
  option in the documentation.


Release notes for the Kolab KDE Client 2.0.6
============================================
2006-01-23, Bernhard Herzog <bh@intevation.de>


Changes since 2.0.5
-------------------

Kontact
-------

* Handle <tab> like <arrow down> in completion list, to skip section
  headers https://intevation.de/roundup/kolab/issue740

* Fix performance problem especially visible with .kde being
  nfs-mounted: during IMAP sync, every message would be marked as
  'dirty' due to setStatus() calls, even when the status didn't change,
  and at the end of the folder this resulted in the index entry for
  every message being rewritten

* Properly parse encoded message attachments by making sure the decoded
  body part is used to construct a new message from. proko2 issue 963

* Backport proper showing of message attachments which are quoted
  printable encoded.

* Backport ability to hide the icon bar, as per proko2 issue 1003

* Move the summary config sections under a common section, as per proko2
  issue 911.

* Backport the ability to specify a fallback encoding in addition to an
  override encoding. Propagate override encodings properly to external
  reader windows and printing, and make a new page in the configuration
  dialog for reader window specific things. Rename the tab for the
  message list settings to "Message List" from "Headers". Proko2
  issue866.

* Make sure the kmail config is reloaded when a kcm based dialog changes
  one of our settings, by hooking up to the KSettings::dispatcher.
  Nicely solves proko2 issue 967.

* Force the configure entry in the Settings meny in composer windows to
  read "Configure KMail" since it brings up the kmail config dialog, not
  the Kontact one, even in Kontact, which makes sense, but leads to a
  confusing lable. Proko2 issue 738 ( c), then 1) )

* Implement a non-gui-exposed option to allow sending of MDN messages
  with an SMTP MAIL FROM of <>, which conforms to the rfc, but doesn't
  work with many real world servers, since they discard such messages
  for spam protection. Still, integrators might want to set it, via
  Kiosk, for example.

* Backport improved ldapkio kabc plugin

* As per proko2 issue1019, change the access dropdown to be a
  sensitivity drop down.

* Make sure load on demand defaults to false in proko2. (issue 902)

* Warn the user before inviting dummy entry attendees.
  (proko2 issue1030)

* Implement operator< on periods, use qHeapSort for sorting them in
  FreeBusy, and don't sort for each added item when parsing a freebusy
  ical file, but append the unsorted list then sort once.
  Together this makes parsing freebusy files O(n*log n) instead of
  O(n^3), which is, shall we say, very noticeable.

* Make sure a folder who's incidences-for annotation value changed is
  reloaded, so that alarms are updated.

* Sync the descriptions used for the summary widget setions of the kcm
  with the headers used for those plugins in the summary widget itself.

* Let's not lie to ourselves, the addressbook is loaded for any
  agenda-item painting. So let's load it right away, not deep within
  painting code (which breaks in case of sub-event-loops like with
  kio_newldap, since timers fire there...)

* Show the no-information crass-hatch for the periods before and after
  the period we have freebusy information for, to be able to tell the
  difference between "free time" and "we don't know". proko2 issue880

Changes since 2.0.4 (up to internal release 2.0.5)
------------------------------------------------

Kleopatra
---------

 * Manually translate the new string for proko2 (.desktop file).

 * Add key filter for qualsig keys; change default font/bgcolor of root
   certs.

kmail
-----

 * Add a combobox to the general tab of the composer configuration for
   selecting the autocompletion mode. (proko2 issue 738)




Release notes for the Kolab KDE Client 2.0.4
============================================
2005-10-12, Bernhard Herzog <bh@intevation.de>


Changes since 2.0.3
-------------------

kmail
-----

 * Force content transfer encoding of text/calendar in-the-body mails to
   7bit because OL is broken and can't deal with qp or base64 in the CN
   part of ical parameters. Will make this optional next.

 * Make Key_Return open a message in a separate reader window.

 * Issue 950: Enable operations on messages in the separate reader
   window, by making sure complete messages are set to be complete.

 * A fix for doubled commas when pasting multiline text.

kleopatra
---------

 * Do not copy the ldap server configuration over to kaddressbook.
   (Aegypten Issue427)

 * Fix a segfault that could happen when searching for an external
   certificate (Aegypten Issue376)



Release notes for the Kolab KDE Client 2.0.3
============================================
2005-09-15, Bernhard Herzog <bh@intevation.de>

Since 2.0.2:

 * Don't quote what is already quoted, thereby inadvertedly unquoting CN
   parts of organizer email addresses (Issue920)

 * Make sure the kmail.antivirusrc file is installed (Issue922)

 * properly strip the UID header by making sure newly added messages are
   complete and thus uploading of local changes works (Issue929)

 * allow deletion of mails from local caches of read-only folders it
   mails go away on the server as part of the sync (Issue929)


Changes since 2.0.1
-------------------

 * Disable all but cachedimap accounts from being selectable as base
   accounts for the main resource folders (Issue863)

 * make it impossible to select chiasmus body encryption together with
   opengpg or smime signing or encryption. Warn the user before sending
   a message with only the attachments encrypted, but not the body

 * fix for loss of parenting during conflict resolution in hierarchical
   todos

 * fix for clicking cancel in an invitation revokation not removing the
   event (Issue900)

 * Make sure the external reader window is closed if a cancel link was
   clicked on in an invitation cancelation (Issue859/900)

 * fix for endless loop when moving mails from dimap => local (Issue865)

 * fix mail loss regression introduced by the endless loop fix above
   (Issue905)

 * Add access to the recent addresses configuration to the Setttings
   menu of the composer window (Issue738)

 * Don't insert freebusy information if the entry is just a dummy.

 * Make sure entries from the same resource are grouped (and the section
   header is not repeated) even if they are pseudo entries (KMail
   addressee auto-completion) (Issue740)



Release notes for the Kolab KDE Client 2.0.1
============================================
2005-08-03, Bernhard Herzog <bh@intevation.de>


Changes since 2.0
-----------------


kmail
-----

 * Aegypten chiasmus:

   - make own dialog instead of KInputDialog, to add a line for custom options

   - remember last selected key, and
     options. https://intevation.de/roundup/aegypten/issue325


 * If an invitation is opened in a secondary window, close that window
   when the handlers are invoked. Otherwise the user is confused, and
   the mail underneath moves away, while the secondary window remains
   open and the user can invoke the handlers again. While that is not
   strictly a problem, this way is more intuitive, I believe.  (See:
   https://intevation.de/roundup/kolab/issue859)

 * Key approval dialog fixes (for storing crypto preferences) :

   - create contact in addressbook if it's not there yet (trunk
     backport, KDE bug #87034).

   - also store the selected keys into the addressbook contact (when
     preferences were changed).  When the user says "always encrypt with
     *this* key", it really means with this key, so store it. The other
     way to store a key in the addressbook was the checkbox in the key
     selection dialog, but that one doesn't always appear.
     https://intevation.de/roundup/aegypten/issue371

 * Remove storage format and pending changes information of folder that
   are deleted, or removed as part of a sync (backport).

 * Don't pollute kmailrc with *-storageFormat=xml entries for
   non-groupware folders

 * Improve the sent mail folder logic and the readOnly protection to
   first try the folder specified in the mail, then if there was none,
   or it's not usable, try the identity one, and if that also fails, the
   system one (backport).

 * Simplified localizedDefaultFolderName(), fix some uninit vars, and
   the improved dialog when finding some standard groupware folders on
   startup (backport).

 * Fix uninit read on startup due to my "troubleshoot imap cache"
   folder-related action (backport of 432771)

 * If the user has managed to put a message into a folder that she now
   (on sync) has no longer sufficient rights to put mails into, pop up a
   helpful dialog explaining the issue and offering to move the mails in
   question into another folder. If the user decides to move them away,
   show a folder selector and move. Then continue syncing (backport of
   432741).

 * If the user has managed to delete a mail from a read only folder,
   through gui bugs, or that particular skill users have to achieve the
   impossible, don't attempt to delete on the server, but simply
   re-download. This also helps if the folder goes from "i can delete"
   to "i can't delete" between syncs (backport of 432750).

 * Implement triggering of syncs at the end of a succesful folder
   deletion on the server.

 * Disable the "keep replies in this folder" option on read-only folders.

 * Don't allow messages to be put into read-only folders, use a sane
   fallback instead.

 * Fix nasty cached imap bug: changes made to the folders while syncing
   (renames, deletions, creations...)  were "saved" to kmailrc, but
   kmailrc wasn't synced, so in case of a kmail crash, X crash, power
   failure, kernel oops...  the settings would be lost, and on the next
   kmail restart very strange errors would happen when syncing (can't
   create folder, folder already there, folder missing, etc.)

 * Mark all mail as read in resource folders, nobody is reading xml
   mails by hand.
   https://intevation.de/roundup/kolab/issue837

 * Only start the timer to set message read if the message is currently
   not yet marked as read.  Avoids problems when the user marks a
   message as 'new' within the timeout and kmail resetting it moments
   later again :) (backport of 430147)

 * Tell folders about a change in contents type in the folderstorage and
   propagate that as an icon change to the foldertree, which makes sure
   that it has the current type, before rendering the icon. All this to
   make the right icon appear on newly downloaded folders.

 * Since we removed the GUI for choosing a storage format in the proko2
   branch, let's also set the correct default. (This only affects people
   who didn't use kolabwizard)

 * Fixed https://intevation.de/roundup/aegypten/issue366 : don't start a
   drag after clicking on a mail, when rendering it pops up a dialog
   (chiasmusdlg or pinentry)

 * Add buttons for triggering the dialogs for editing recent addresses
   and configuring the completion order to the General tab of the
   Composer page of the main configuration dialog.

 * Since the entries in the completion popup are by default grouped by
   source, this adds group header entries to the list and indents the
   actual entries, to visually distinguish them. The section headings
   are not selectable neither by mouse nor keyboard and are auto-skipped
   when traversing the list.

   https://intevation.de/roundup/kolab/issue740

 * Fixed bug when reading storageFormat for newly created groupware
   folders, turns out that it had been fixed in trunk already :/

 * Close tempfile before starting korganizer, otherwise it'll see an
   empty file.  (https://intevation.de/roundup/kolab/issue816)


korganizer
----------

 * Backport the filter edit dialog, since this is the easiest way to fix
   the bugs with the old dialog (it forgot the chosen categories when
   switching between filters!)

 * Preserve current filter when re-filling filter combo. Was especially
   annoying when switching filters in the edit filter dialog.

 * Read-only fixes from trunk.


kleopatra
---------

 * Backport marc's trunk commits from some time ago: r357656: Fix
   Aegypten issue #185: validating a large number of certificates fails
   You need gpgme 1.0.1 in order for this to work. Otherwise, you will
   just see a error message "Ambiguous name"...  r406043: Fix memory
   leak

 * Respect the timeout option in async operations.

 * Support for passing extra options to chiasmusjob.

 * Add a new config entry type of DirPath, which allows us to use a
   KUrlRequester in direcorties-only mode (aegypten issue 360)

 * Use KURL::path() instead of ::url() for feeding URL requesters, in
   order to avoid raw strings in the graphical widgets

 * Only show options with level <= Advanced from the chiasmus backend

 * Added "Enter passphrase:" to passphrase dialog (the one that appears
   when gpg-agent isn't running)


doc
---

 * Add chapter about using chiasmus encryption.

 * Copy editing, XML fixes


kaddressbook
------------

 * Added missing connect, so that the distribution list combo updates
   after deleting a distribution list.


kresources
----------

 * Skip duplicate incidences in read-only folders and don't offer
   conflict resolution. The user could otherwise put new mails into
   read-only folder and would later be unable to sync them up again.

 * Don't update or delete addressees in read-only folders (backport).


libkcal
-------

 * Set error message when parsing an empty file, fixes
   detailed-error-box with empty details.


libkdepim
---------

 * Fix nested parenthesis in email/name splitting.

 * Don't switch to other contacts on Key_Up/Key_Down when the completion
   box has been closed already, and I'm simply navigating between
   fields, it's really really confusing ;)

 * Fixed "when i click on 'Show Details', a window appears and
   disappears immediately..."  by using a KDialogBase instead of a
   QTextBrowser(0). This also adds an OK button.

 * Only eat up/down keys, not others. This fixes Alt+letter to access
   the menu when the cursor is in a composer lineedit.

 * Don't show group headers when we are sorting alphabetically and not
   grouping at all.

 * Re-fix avoidance of selection of completion source headers, this time
   only when there is a button pressed, such that there is no more
   auto-selection on mouse move with no button pressed. Also make sure
   that there is no fuzzy selection when the mouse leaves the groupbox
   across the northern edge.

 * Eat whitespace between comma separated addresses which the completion
   item prefix can cause.

 * Fix key navigation for "resource name separators" feature in
   completion popup.

 * Factor the completion items munging into a method and don't
   spuriously clear the items map on all ldap start stop, especially not
   if there is not ldap query in the first place.

 * Use the resourceName() and not the identifier() for completion group
   headers.

 * Since the entries in the completion popup are by default grouped by
   source, this adds group header entries to the list and indents the
   actual entries, to visually distinguish them. The section headings
   are not selectable neither by mouse nor keyboard and are auto-skipped
   when traversing the list.

   https://intevation.de/roundup/kolab/issue740

 * Harmonize strings for the same functionality.


mimelib
-------

 * Fix crash due to storing the char* address of a QString::latin1()
   call in KMMessage::createDWBodyPart



Release notes for the Kolab KDE Client 2.0
==========================================
2005-06-20, Bernhard Herzog <bh@intevation.de>


Changes since 2.0 RC 3
----------------------

kmail
------

 * Don't allow operations to be performed on items which are already
   being operated on. Namely holding down the Del key was triggering
   multiple Deletes/Moves for the same message pointer, which for any
   but the first command was dangeling. Quite obvious, in
   retrospect... (backport)

 * Make sure that the cc is properly taken into account during identity
   detection on replies. (backport)

 * Don't use KIO::del to delete the local cache when removing a dimap
   folder. The underlying KMFolderMailDir does unlinks, to avoid a storm
   of progress dialogs, so let's rely on that. (backport)

 * Show icon as checked when it is.
   https://intevation.de/roundup/aegypten/issue324.

 * Backport of status setting fix: if the status of single mails was
   changed locally, but nothing else, the "status changed locally" flag
   was not set, and the status changes thus lost on sync.

 * Two extra special paranoid sync state resets in impossible code paths
   just to make sure we don't delete mail unwantedly even if hell
   freezes over.

 * Updated version number to proko2 2.0


kontact
------

 * Start korgac when starting kontact, so that reminders work even if
   the user doesn't click on the Calendar icon.
   https://intevation.de/roundup/kolab/issue789

 * Updated version number to proko2 2.0


korganizer
------

 * The format for kmail serial numbers is kmail:foo/bar, not
   kmail://foo/bar. Adjust.

 * Much simpler way of starting korgac; don't start korgac from the
   korganizer part, kontact does it now.


libkdepim
------

 * Remove config(), use the one from KABC instead to avoid two
   singletons.  Fixes "ldap config changes not immediately honored by
   kaddressbook" https://intevation.de/roundup/kolab/issue795

 * Very tricky bug in the LDAP parsing code, leading to corrupted
   entries, e.g.  with 'name' and 'email' being set to the
   name. QByteArray is explicitely shared, so when we get new contents
   from the LDIF parser class, we need to detach it before putting it
   into a list...  https://intevation.de/roundup/kolab/issue796


kaddressbook
------

 * Fix signal/slot connection error



Release notes for the Kolab KDE Client RC 3
===========================================
2005-06-10, Bernhard Herzog <bh@intevation.de>



Changes since RC 2 (2005-05-08)
-------------------------------

certmanager
------

 * Key selection dialog: Work around bug in Qt where disabling and
   reenabling the widget that has focus does not properly make it
   refocus. This solves the problem that you had to click in the search
   line (even while the cursor wash flashing there) to make it editable.

kmail
------

 * Show resource icons also for folders with unread mail.

 * Only reset the content type to text/plain if it is a multipart
   currently, otherwise invitation replies get the wrong mime type :/
   (kolab issue790)

 * Make it possible to configure alphabetical instead of weighted
   sorting of the completion entries via a checkbox in the completion
   editor dialog. Make sure changes there are picked up by the currently
   active addressee lineedits. (kolab issue734)

 * Update version number to rc3

kontact
------

 * Update version number to rc3

korganizer
------

 * Import new event template management dialog from trunk, so that
   templates can be deleted (kolab issue763)

 * Make sure the freebusy retrieval state is reset, when retrieval is
   not possible (kolab issue787)

kresources
------

 * Drop completed dates if the task is not completed on writing or
   reading.




Changes since RC 1 (2005-05-03)
-------------------------------

KOrganizer
----------

 * Fix failure to enable "Reminder for first recurrence only" checkbox

KMail
-----

 * Fix for conflict resolution dialogs when copying resource folders

 * Chiasmus: Make canceling pinentry cancel the operation

 * Fix for conflicting signing or encryption preferences

 * Chiasmus: Implemented body encryption

 * Chiasmus: Implemented body decryption

 * Chiasmus: Fix content-type and chiasmus-charset in both cases
   (with and without attachments)

 * Chiasmus: Fix wrong content-transfer-encoding in chiasmus-encrypted mails

 * Add "Troubleshoot IMAP Cache..." to Folder menu (since it's already
   in the RMB)

 * Fix for showing the IMAP-related menu item only if there is an IMAP
   account

 * Fix to no longer show an error dialog when the IMAP server closes the
   connection

 * Add an additional entry to the settings menu of the composer which
   allows access to the address completion weight configuration

 * Fix for replying to or forwarding messages after they were opened
   in a separate reader window

 * Create the default folders in the local language

 * Fix for inline-forwarding or draft-editing mails with a signature

 * Fix to force utf8 encoding on Kolab xml mail parts

 * Use a different mimetype (application/x-vnd.kolab.contact.distlist)
   for distribution lists, as discussed on kolab-format

 * Fix for dropping local only or distribution list contents of the "to"
   field during IDN expansion

 * Remove the global "refresh cache" menu entry

Kolab XML Resource
------------------

 * fix for reading and writing the pilot sync id and status to emnable
   pilot syncing

 * Make the scheduling ID an implementation detail not visible
   to the outside. It was removed from the specification.

 * Drop completed dates if the task is not completed on writing or reading

LDAP Search and Completion
--------------------------

 * Don't show structural entries, but only real persons, or everything
   that has an email address

Kontact
-------

 * start the calendar part when accepting an invitation and it is not
   running yet


Updated Translations



Release notes for the Kolab KDE Client RC 1
===========================================
2005-05-03, Bernhard Herzog <bh@intevation.de>


Note: Many entries here contain references to entries in the kolab issue
tracker, https://intevation.de/roundup/kolab/.  You can easily look them
up by appending the reference to that URL, e.g. the URL for issue510 is
https://intevation.de/roundup/kolab/issue510 .  Some issues are specific
to the aegypten project (S/MIME for kmail) and can be looked up under
https://intevation.de/roundup/aegypten/


Upgrading from older (pre beta 1) kontact based clients
-------------------------------------------------------

If you have configured your kdepim installation with an older version of
the kolabwizard (or have done it manually) you may need to tweak the URL
Korganizer uses to fetch free/busy lists from the kolab2 server.  The
url for fetching free/busy lists should be

   https://kolabserver/freebusy/%25EMAIL%25.ifb

Known Bugs
----------

 - When copying folders conflict resolution dialog boxes come up for the
   copied events (kolab issue727)

 - kpilot warns about being used with kdelibs 3.2.x even though it has
   been backported to work in that environment.  Already fixed in CVS.

 - kpilot doesn't work properly yet with kolab resources.  (kolab
   issue704)


Changes since Beta1 (2005-02-03)
--------------------------------


KMail
-----

 - Fixed deletion of folders with subfolders (kolab issue678)

 - Remove choice between Kolab-XML and ical/vcard as storage format,
   it's always kolab-xml in proko2.

 - Fixed vanishing special icons when renaming/moving a special folder.

 - Tell the resources when renaming a groupware folder (kolab issue639)

 - Fixed header-list suddenly empty in rare cases.

 - If there is no valid email address in the From header, but a name,
   display it.

 - Don't let the "No HTML Message" label force a minimum height on the
   reader widget.

 - Fixed utf8 in freebusy-trigger URLs (kolab issue640)

 - Fixed inline forwarding of opaque signed and encrypted mails with
   attachments (part of issues 39/266)

 - Don't attempt to sync up changed acls if the user has insufficient
   rights to do so.

 - Fixed aegypten issue 295: "kmail encrypts entire mail though only
   attachment was to be encrypted"

 - Aegypten proxy: kleopatra<->kmail communication (aegypten issue296)

 - Aegypten proxy: disable proxy settings when "Ignore HTTP CRL DPs of
   certificate" is unchecked.

 - Aegypten proxy: use honor-http-proxy option

 - Fixed migration issue for users with an old kpgprc, broke decrypting
   mails.

 - Vacation GUI extended, to restrict sending of vacation replies for
   known spam and to addresses outside of the company.

 - "Copy folder to" feature.

 - Fix message-status-handling broken by previous cached imap speedup

 - Fix for syncing a new client with an already existing imap account
   (used to wrongly disable kolab resource)

 - Fix for inline forwarding of inline invitation mails (content-type
   text/calendar),

 - and another fix for "inline forwarding a mail consisting of only a
   top level body part".

 - Fix the fix for completion order when an item would be listed
   multiple times.

 - Fix temporary filename used for compacting a folder, to ensure no
   ghost folder appears on kmail restart

 - Escape folder names when displaying them in error dialogs (kolab
   issue725)


Kolab XML Resource
------------------

 - Fixed off-by-one in month names (kolab issue688)

 - Yearly recurrence fix

 - Fixed mapping of phone types to preserve "business2" and "company"
   from outlook.


Kolab Wizard
------------

 - Remove kolab1 vs kolab2 choice, since kolab1 isn't available in
   proko2 branch.


KPilot
------

 - Updated to KDE_3_4_BRANCH's version, with some fixes so that it works
   with kdelibs-3.2.



Kleopatra
---------

 - added Chiasmus support

 - Redesigned automatic config dialog


Aegypten Backend
----------------

 - added chiasmus support


Other
-----

 - Fixed rare crash in kio_imap4

 - Updated translations.

